[SeaMonkey] mochitest-plain: test_popup_button.xul times out (often) now

VERIFIED FIXED in seamonkey2.0b1

Status

defect
--
major
VERIFIED FIXED
11 years ago
7 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

(Blocks 1 bug, {intermittent-failure, regression})

Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [Fixed by bug 488752][cc-orange])

Attachments

(1 obsolete attachment)

Reporter

Description

11 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090117 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/a3abe1807f71 + bug 446300 patch
+http://hg.mozilla.org/comm-central/rev/da4ab57196d6 + bug 446300 patch)

Pass.

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090124 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/096ab3b6abe0
 +http://hg.mozilla.org/comm-central/rev/176d86062c81)

{
...
77416 INFO TEST-PASS | /tests/toolkit/content/tests/widgets/test_popup_button.xul | select and enter on menuitem DOMMenuItemInactive fired
77417 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_button.xul | Test timed out.
77419 INFO Running /tests/toolkit/content/tests/widgets/test_popup_coords.xul...
77420 INFO Error: Unable to restore focus, expect failures and timeouts.
77421 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_coords.xul | Test timed out.
77423 INFO Running /tests/toolkit/content/tests/widgets/test_popup_keys.xul...
77424 INFO Error: Unable to restore focus, expect failures and timeouts.
77425 INFO TEST-PASS | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | keys disabled
77426 INFO TEST-PASS | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | keys enabled
77427 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | Test timed out.
77429 INFO Running /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul...
77430 INFO Error: Unable to restore focus, expect failures and timeouts.
77431 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul | Test timed out.
77432 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul | Too many test timeouts, giving up.
}

(7 days) Regression timeframe(s):
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=a3abe1807f71&tochange=096ab3b6abe0
http://hg.mozilla.org/comm-central/pushloghtml?fromchange=da4ab57196d6&tochange=176d86062c81
Flags: wanted1.9.2?

Comment 1

11 years ago
This likely means that Seamonkey has different style rules for menus/popups somewhere than Firefox and an extra or missing reflow is occuring.
Component: XUL Widgets → General
Product: Toolkit → SeaMonkey
QA Contact: xul.widgets → general
Reporter

Comment 2

10 years ago
(In reply to comment #1)
> This likely means that Seamonkey has different style rules for menus/popups
> somewhere than Firefox and an extra or missing reflow is occuring.

The symptom is that the window in which the test run does not close at the end.


[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090129 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/cc3b3a8f35cb
 +http://hg.mozilla.org/comm-central/rev/d2442ac0de7f)

Pass

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090129 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/4ff2e2cf9459
 +http://hg.mozilla.org/comm-central/rev/1a22abcfbc7c)

Fail

(1.5 days) Regression timeframe(s):
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=cc3b3a8f35cb&tochange=4ff2e2cf9459
http://hg.mozilla.org/comm-central/pushloghtml?fromchange=d2442ac0de7f&tochange=1a22abcfbc7c
Reporter

Comment 3

10 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090129 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/63ddf84277ae
 +http://hg.mozilla.org/comm-central/rev/825f066d21c2)
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090129 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/e416d62b69a5
 +http://hg.mozilla.org/comm-central/rev/84e9c5177712)
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090129 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/f706be55329e
 +http://hg.mozilla.org/comm-central/rev/ef7223d5becb)

Pass

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090129 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/31d411bd26bc
 +http://hg.mozilla.org/comm-central/rev/ef7223d5becb)
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090129 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/60efe7c92957
 +http://hg.mozilla.org/comm-central/rev/ef7223d5becb)

Fail

Exact regression timeframe:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=f706be55329e&tochange=31d411bd26bc
but checkin seen with
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=e416d62b69a5&tochange=31d411bd26bc
This is bug 467360.
Blocks: 467360
Reporter

Comment 4

10 years ago
This is major, as the test run takes much much longer and eventually aborts.
Severity: normal → major
(In reply to comment #1)
> This likely means that Seamonkey has different style rules for menus/popups
> somewhere than Firefox and an extra or missing reflow is occuring.
Assuming that tests use the Classic theme and only use toolkit styles then we should be getting identical style rules.
Reporter

Comment 6

10 years ago
(In reply to comment #0)

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090211 SeaMonkey/2.0a3pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/319799933481
 +http://hg.mozilla.org/comm-central/rev/...)

If I delete test_popup_button.xul, then the other tests complete correctly.
Summary: [SeaMonkey] test_popup_button.xul and others time out now → [SeaMonkey] test_popup_button.xul times out now
Reporter

Comment 7

10 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090228 SeaMonkey/2.0b1pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/f7f62131998d
 +http://hg.mozilla.org/comm-central/rev/7ea34ef19dc4)

(Bug still there.)
Reporter

Comment 9

10 years ago
(In reply to comment #8)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240051820.1240058800.10652.gz
> Linux comm-central unit test on 2009/04/18 03:50:20

Though
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240052120.1240058147.9501.gz
WINNT 5.2 comm-central unit test on 2009/04/18 03:55:20
is green with same revisions.

Note that bug 467360 landed earlier, but with green (Linux) builds too.

We'll see if it's a new random or what...
Reporter

Comment 10

10 years ago
(In reply to comment #9)
> We'll see if it's a new random or what...

I didn't look too closely, but it would seem like: (on 1.9.1)
*Linux has this bug very rarely.
*Windows has it very often.
Flags: wanted1.9.1?
Reporter

Comment 11

10 years ago
Neil, would you rs that I "bypass" this test for SeaMonkey+Windows only, ftb?
Depends on: 438871
Keywords: qawanted
Summary: [SeaMonkey] test_popup_button.xul times out now → [SeaMonkey] mochitest-plain test_popup_button.xul times out now
Whiteboard: [orange]
Reporter

Comment 12

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240327217.1240335965.20076.gz
WINNT 5.2 comm-central unit test on 2009/04/21 08:20:17
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240347084.1240353020.16995.gz
WINNT 5.2 comm-central unit test on 2009/04/21 13:51:24
Reporter

Comment 13

10 years ago
(In reply to comment #10)
> *Linux has this bug very rarely.

Not that rarely at all actually: would like to "bypass" too, ftb.
Reporter

Comment 14

10 years ago
...
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240498341.1240504441.3033.gz
Linux comm-central unit test on 2009/04/23 07:52:21

...
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240522555.1240527908.25437.gz
WINNT 5.2 comm-central unit test on 2009/04/23 14:35:55
Reporter

Comment 15

10 years ago
Linux case/part is much like bug 451482,
though I would think we are not seeing the latter currently.
Reporter

Comment 16

10 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090417 SeaMonkey/2.0b1pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/9e06217fc471
 +http://hg.mozilla.org/comm-central/rev/...)

Manual testing:
All tests run fine up to "focus and cursor up on trigger".
Adding "select and enter on menuitem" runs but then something goes wrong,
which confirms comment 0 two first logged messages.

I had a quick check at the (Linux and Windows) 1.9.1 logs and they seem to fail not always exactly at the same point, but that's the idea...
Keywords: qawantedhelpwanted
Reporter

Comment 17

10 years ago
Attachment #374402 - Flags: review?(neil)
Attachment #374402 - Flags: review?(enndeakin)
Reporter

Comment 18

10 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b5pre) Gecko/20090424
SeaMonkey/2.0b1pre] (home, optim default) (W2Ksp4)
(http://hg.mozilla.org/releases/mozilla-1.9.1/rev/d77750c8a7b8
 +http://hg.mozilla.org/comm-central/rev/b7fd81f51c6e)

I reproduce with 1.9.1 too.
Blocks: 438871
No longer blocks: CcMcBuildIssues
No longer depends on: 438871
Flags: wanted-seamonkey2?
OS: Windows 2000 → Windows Server 2003
Summary: [SeaMonkey] mochitest-plain test_popup_button.xul times out now → [SeaMonkey] mochitest-plain: test_popup_button.xul times out (often) now
Reporter

Comment 19

10 years ago
make NO_FAIL_ON_TEST_ERRORS=1 TEST_PATH=toolkit/content/tests/widgets/test_popup_button.xul -C objdir mochitest-plain

Comment 20

10 years ago
(In reply to comment #19)
> make NO_FAIL_ON_TEST_ERRORS=1
> TEST_PATH=toolkit/content/tests/widgets/test_popup_button.xul -C objdir
> mochitest-plain

Interesting... What exactly are you trying to say with this?
Reporter

Comment 21

10 years ago
(In reply to comment #20)
> Interesting... What exactly are you trying to say with this?

Nothing, I just copied the full command, as Neil asked me for the test path.
So, it turns out that attachment 374129 [details] [diff] [review] also fixes this bug.
The problem is that one of the tests simulates Alt+Up in order to close the menulist on Windows/Linux (Mac just uses Up, so it is not affected). Unfortunately because the menu code doesn't cancel the event, it subsequently triggers SeaMonkey's Alt+Up key which causes navigation interrupting the test.
Reporter

Updated

10 years ago
Depends on: 488752
Reporter

Comment 24

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240872535.1240877862.30951.gz
WINNT 5.2 comm-central unit test on 2009/04/27 15:48:55
Reporter

Comment 26

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1241492008.1241497549.26694.gz
Linux comm-central unit test on 2009/05/04 19:53:28
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1241499599.1241505111.3964.gz
WINNT 5.2 comm-central unit test on 2009/05/04 21:59:59

These should be the last occurrences as bug 488752 was fixed soon after.

(Assuming) R.Fixed
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Flags: wanted1.9.2?
Flags: wanted1.9.1?
Flags: wanted-seamonkey2?
Flags: in-testsuite-
Keywords: helpwanted
OS: Windows Server 2003 → All
Resolution: --- → FIXED
Whiteboard: [orange] → [Fixed by bug 488752] [orange]
Target Milestone: --- → seamonkey2.0b1
Reporter

Updated

10 years ago
Attachment #374402 - Attachment is obsolete: true
Attachment #374402 - Flags: review?(neil)
Attachment #374402 - Flags: review?(enndeakin)
Reporter

Comment 27

10 years ago
(In reply to comment #26)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1241499599.1241505111.3964.gz
> WINNT 5.2 comm-central unit test on 2009/05/04 21:59:59

This one had the "command timed out: 300 seconds without output" version.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1241505831.1241512266.12945.gz
WINNT 5.2 comm-central unit test on 2009/05/04 23:43:51

And this one had the "Too many test timeouts, giving up." version.

> These should be the last occurrences as bug 488752 was fixed soon after.
Reporter

Comment 28

10 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090518
SeaMonkey/2.0b1pre] (experimental/_m-c_, home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/a7c0b3588242
 +http://hg.mozilla.org/comm-central/rev/6786ebf24275 + bug 493008 patches)

V.Fixed.
Status: RESOLVED → VERIFIED
Whiteboard: [Fixed by bug 488752] [orange] → [Fixed by bug 488752]

Updated

7 years ago
Whiteboard: [Fixed by bug 488752] → [Fixed by bug 488752][cc-orange]
You need to log in before you can comment on or make changes to this bug.